
Base Distribution - Task # 48147

Work Package # 45020 (Closed): Content Editing Stability and Features

Status: Closed Priority: Should have
Author: Aske Ertmann Category:
Created: 2013-05-13 Assigned To: Tim Kandel
Updated: 2014-11-02 Due date:
Subject: Editing of shortcuts
Description

It should be possible to navigate to shortcuts while being logged into the backend. A default template page should be showed with a
clear indication that it's a shortcut (non-viewable folder node). Then it should be possible to configure the shortcut using the inspector.

    -  Change demo site to not have the first page as a shortcut
        -  Add a new page as shortcut as an example of shortcuts
    -  Test what happens if you have a shortcut to the first child node that doesn't have a child node (frontend & backend)
    -  Redirect to the shortcut location if the page you're being redirected to after login is a shortcut (BackendRedirectionService)

Associated revisions
Revision 8fe5f0a8 - 2013-05-19 21:31 - Tim Kandel

[FEATURE] Enable editing of shortcuts in content module

Introduces editing of shortcuts.
This should not break anything as this is not yet possible
and the new default falls back to using the first child node.

Change-Id: I43044f6984566691a4fce9b32680cde7db108b17
Resolves: #48147

Revision ff92a9b9 - 2013-05-20 15:45 - Tim Kandel

[FEATURE] Enable editing of shortcuts in content module

Introduces editing of shortcuts.
This changes the way NodeController handles shortcuts, as well as
disabling of this logic if you are logged in as an editor.

Change-Id: I56f8abb1b0c913143bb7bef08f8340f18488bbd1
Resolves: #48147

History
#1 - 2013-05-16 11:40 - Tim Kandel
- Status changed from New to Accepted
- Assigned To set to Tim Kandel

#2 - 2013-05-16 17:36 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20836

#3 - 2013-05-16 17:38 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20837

#4 - 2013-05-16 18:00 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20837

#5 - 2013-05-16 19:21 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20836

#6 - 2013-05-16 19:22 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20837

#7 - 2013-05-16 19:24 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20840

#8 - 2013-05-16 20:57 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20836

#9 - 2013-05-16 20:59 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20837

#10 - 2013-05-16 21:00 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20840

#11 - 2013-05-16 21:05 - Gerrit Code Review
Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20836

#12 - 2013-05-16 21:05 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20840

#13 - 2013-05-16 21:52 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20836

#14 - 2013-05-16 22:07 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20837

#15 - 2013-05-16 22:12 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20840

#16 - 2013-05-16 22:29 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20837

#17 - 2013-05-16 23:05 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20840

#18 - 2013-05-16 23:05 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20837

#19 - 2013-05-16 23:06 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20836

#20 - 2013-05-16 23:06 - Gerrit Code Review
Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20837

#21 - 2013-05-16 23:06 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20840

#22 - 2013-05-16 23:10 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20840

#23 - 2013-05-17 12:52 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20836

#24 - 2013-05-17 12:54 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20836

#25 - 2013-05-17 16:57 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20840

#26 - 2013-05-17 18:14 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review

#27 - 2013-05-19 20:35 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20836

#28 - 2013-05-19 21:26 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20837

#29 - 2013-05-19 21:31 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20837
#30 - 2013-05-20 15:45 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20836

#31 - 2013-05-21 09:47 - Christopher Hlubek
- Status changed from Under Review to Accepted
- % Done changed from 0 to 90

We should add a Behat feature for shortcut editing:

    -  Scenario 1: Visit shortcut page in frontend without backend login
        -  Should do a redirect
    -  Scenario 2: Visit shortcut page in frontend with backend login
        -  Should do a redirect
    -  Scenario 3: Visit shortcut page in backend with backend login
        -  Should allow editing of page properties

#32 - 2013-05-21 10:35 - Tim Kandel
- Status changed from Accepted to Resolved
- % Done changed from 90 to 100

Applied in changeset commit:ff92a9b914de733b574efad050668bd67602136e.

#33 - 2014-11-02 18:22 - Aske Ertmann
- Status changed from Resolved to Closed
- Remaining (hours) set to 0.0
